Wouter Bolsterlee | 4 Oct 00:14 2011
Picon
Picon

Bug#644207: texlive-xetex: Outdated polyglossia package prevents creation of correct documents in Dutch

Package: texlive-xetex
Version: 2009-14
Severity: important

Dear fantastic TeXLive maintainers,

According to its README file, the version of the Polyglossia package
included with texlive-xetex=2009-14 is only v1.0.2, while upstream has
released v1.2.0 some time ago. Amongst other things, this release fixes
spelling errors and a off-by-one error in month name selection for the Dutch
glossary. Without these fixes one cannot produce correct documents in Dutch
_at all_, hence the "important" severity of this report.

Please include an updated Polyglossia package in texlive-xetex, so that
correct document can be produced without locally patching
/usr/share/texmf-texlive/tex/xelatex/polyglossia/gloss-dutch.ldf

(Additionally, the Dutch translation has some further issues, reported
upstream with patches: https://github.com/fc7/polyglossia/issues/23 and
https://github.com/fc7/polyglossia/pull/25. Unfortunately, upstream seems
rather inactive lately. I would be great if these fixes could make it in
Debian, but I'll let the maintainers decide on this one.)

Thanks in advance!

    — Wouter

--

-- 
To UNSUBSCRIBE, email to debian-tex-maint-request <at> lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster <at> lists.debian.org
(Continue reading)

Hilmar Preusse | 4 Oct 16:28 2011
X-Face
Picon

Bug#644207: texlive-xetex: Outdated polyglossia package prevents creation of correct documents in Dutch

tags 644207 + fixed-upstream
stop

On 04.10.11 Wouter Bolsterlee (uws <at> xs4all.nl) wrote:

Hi,

I'm sorry, but you get the same answer as all other people opening
such requests.

> According to its README file, the version of the Polyglossia
> package included with texlive-xetex=2009-14 is only v1.0.2, while
> upstream has released v1.2.0 some time ago.  Amongst other things,
> this release fixes spelling errors and a off-by-one error in month
> name selection for the Dutch glossary.  Without these fixes one
> cannot produce correct documents in Dutch _at all_, hence the
> "important" severity of this report.
> 
We just package TL, we don't modify it. The new version TL 2011
probably has the fix, hence I simply tag your bug as fixed in
upstream. If you need the new version of that package earlier,
please install it into your local texmf tree.

Hilmar
--

-- 
sigmentation fault

Debian Bug Tracking System | 4 Oct 16:33 2011
Picon

Processed: Re: Bug#644207: texlive-xetex: Outdated polyglossia package prevents creation of correct documents in Dutch

Processing commands for control <at> bugs.debian.org:

> tags 644207 + fixed-upstream
Bug #644207 [texlive-xetex] texlive-xetex: Outdated polyglossia package prevents creation of correct
documents in Dutch
Added tag(s) fixed-upstream.
> stop
Stopping processing here.

Please contact me if you need assistance.
--

-- 
644207: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=644207
Debian Bug Tracking System
Contact owner <at> bugs.debian.org with problems

Frank Küster | 5 Oct 23:04 2011
Picon

Bug#602964: dpkg: error processing tex-common (--configure)

Norbert Preining <preining <at> logic.at> wrote:

> On Mo, 26 Sep 2011, Frank Küster wrote:
>> Funny thing, GREP_OPTIONS...
>
> Maybe unset GREP_OPTIONS somewhere (ucf, dpkg, ...)?

As well as SED_OPTIONS, LS_OPTIONS, AWK_OPTS, and whatever.  No, think a
script provided for system maintenance can expect a "sane" environment.
What sane is may be a bit unclear, but setting ouptut options for such
tools clearly is not IMO.

Regards, Frank
--

-- 
Frank Küster
Sprecher B90/Grüne OV Miltenberg und Umgebung
VCD Miltenberg, ADFC Aschaffenburg-Miltenberg
Debian Developer (TeXLive)

Julian Gilbey | 5 Oct 23:53 2011
Picon

Bug#602964: dpkg: error processing tex-common (--configure)

On Wed, Oct 05, 2011 at 11:04:32PM +0200, Frank Küster wrote:
> Norbert Preining <preining <at> logic.at> wrote:
> 
> > On Mo, 26 Sep 2011, Frank Küster wrote:
> >> Funny thing, GREP_OPTIONS...
> >
> > Maybe unset GREP_OPTIONS somewhere (ucf, dpkg, ...)?
> 
> As well as SED_OPTIONS, LS_OPTIONS, AWK_OPTS, and whatever.  No, think a
> script provided for system maintenance can expect a "sane" environment.
> What sane is may be a bit unclear, but setting ouptut options for such
> tools clearly is not IMO.

System scripts should be run with sane environments if they are to
function sanely.  If you mess with the environment, you can't expect
the script to run sanely.

Root's environment should be kept basically clean, and nothing in it
should be set manually.

For my personal profile, following advice from Thomas Esser many years
ago, I do the following in my .bashrc (which gets read by scripts
before they run):

# Here go any settings which are general and can be inherited by
# scripts

umask 022
ulimit -Sc 0

(Continue reading)

Dario Santamaria | 8 Oct 18:09 2011
Picon

Bug#644737: [INTL: IT] texlive-base debconf translation

Package: texlive-base
Version: 2009-14
Tags: l10n patch
Severity: wishlist

Please include the attached Italian debconf translation

$ msgfmt --statistics -c -v -o /dev/null it.po
it.po: 6 messaggi tradotti.
$
Attachment (it.po): text/x-gettext-translation, 4218 bytes
Hideki Yamane | 9 Oct 00:21 2011
Picon

Bug#644768: latex-cjk-xcjk: please update suggests for font package

package: latex-cjk-xcjk
version: 4.8.2+git20090105-5
severity: minor
tags: patch

Hi,

 This package suggest "ttf-sazanami-gothic" and "ttf-sazanami-mincho",
 however, now I as ttf-sazanami maintainer, you should use another modern
 Japanese font such as fonts-ipafont.

 And some of ttf- package move to fonts- package.

 I've create a patch for that, so please consider to apply it.
 Thanks.

--

-- 
Regards,

 Hideki Yamane     henrich  <at>  debian.or.jp/org
 http://wiki.debian.org/HidekiYamane
Attachment (cjk_font.diff): text/x-diff, 1143 bytes
Danai SAE-HAN | 9 Oct 09:07 2011
Picon

Bug#644768: latex-cjk-xcjk: please update suggests for font package

Hi

Thanks for your patch!  I have applied it, and it will be included in
the next release.

BR

--

-- 
Danai

Debian Bug Tracking System | 9 Oct 09:27 2011
Picon

Processed: Tag #644768 +pending

Processing commands for control <at> bugs.debian.org:

> tags 644768 +pending
Bug #644768 [latex-cjk-xcjk] latex-cjk-xcjk: please update suggests for font package
Added tag(s) pending.
> thanks
Stopping processing here.

Please contact me if you need assistance.
--

-- 
644768: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=644768
Debian Bug Tracking System
Contact owner <at> bugs.debian.org with problems

Jan Medlock | 11 Oct 16:00 2011
Picon

Bug#467183: Long-standing bug in marvosym.sty

Dear CTAN,
There is a long-standing bug (> 3 years) in marvosym.sty that we have been 
trying to fix:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=467183

In the Debian BTS link above, there is a patch that fixes the problem.

We contacted the author of the package, Thomas Henlich, some time ago and have 
received no response.

Is there any way to fix the package without his input?

Thanks,
Jan Medlock


Gmane